Bug 15599 - maestro driver problems - Armada M700, timeouts, register select failures.
maestro driver problems - Armada M700, timeouts, register select failures.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Winston gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-07 00:18 EDT by John Cagle
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-07 13:46:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Cagle 2000-08-07 00:18:53 EDT
Errors generated by maestro driver on a Compaq Armada M700 Laptop.

00:08.0 Multimedia audio controller: ESS Technology ES1978 Maestro 2E (rev 10)
	Subsystem: Compaq Computer Corporation: Unknown device b112
	Flags: bus master, medium devsel, latency 64, IRQ 11
	I/O ports at 2000
	Capabilities: [c0] Power Management version 2

Aug  2 14:13:04 localhost kernel: maestro: version 0.14 time 16:25:10 Jul 26 2000
Aug  2 14:13:04 localhost kernel: maestro: Configuring ESS Maestro 2E found at IO 0x2000 IRQ 11
Aug  2 14:13:04 localhost kernel: maestro:  subvendor id: 0xb1120e11
Aug  2 14:13:04 localhost kernel: maestro: not attempting power management.
Aug  2 14:13:04 localhost kernel: maestro: APU register select failed.
Aug  2 14:13:04 localhost last message repeated 193 times
Aug  2 14:13:04 localhost identd: identd startup succeeded
Aug  2 14:13:04 localhost kernel: maestro: APU register select failed.
Aug  2 14:13:04 localhost last message repeated 829 times
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0x0.
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0x7c.
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0x7e.
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0x0.
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0x26.
Aug  2 14:13:04 localhost kernel: maestro: AC97 Codec detected: v: 0x 0 0 caps: 0x0 pwr: 0x0
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0xe.
Aug  2 14:13:04 localhost kernel: maestro: 1 channels configured.
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0x1a.
Aug  2 14:13:04 localhost last message repeated 2 times
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0xe.
Aug  2 14:13:04 localhost kernel: maestro: ac97 codec timeout reading 0x1a.
Aug  2 14:13:05 localhost last message repeated 7 times

Also:
Aug  2 14:15:42 localhost kernel: maestro: APU register select failed.
Aug  2 14:15:42 localhost last message repeated 11 times
Comment 1 Bill Nottingham 2000-08-07 02:00:12 EDT
Um, what happens if you force power-management on
with the 'use_pm' option?

You don't do anything odd with CLKRUN management
on this laptop, do you?
Comment 2 Glen Foster 2000-08-07 13:46:22 EDT
This defect is considered MUST-FIX for Winston Gold-release
Comment 3 John Cagle 2000-08-16 22:27:29 EDT
It works in RC1!  THANKS!

Note You need to log in before you can comment on or make changes to this bug.